#ifndef GAMESERVER_H
#define GAMESERVER_H

#include <iostream>
#include "../network/server/IServerListener.h"

using namespace std;

class GameServer : public IServerListener
{
public:
    GameServer();
    virtual ~GameServer();
    
    void start(unsigned short port, unsigned short maxClients);
    
    void onFullServerClientConnect(int socket) override;
    void onClientConnect(int socket) override;
    void onClientPackage(int socket, Stream& in) override;
    void onClientDisconnect(int socket) override;
private:
    bool onServerCommand(string& command);
};

#endif

