#ifndef GUI_H
#define GUI_H

// these two are not needed here but prevent further errors
#include <GL/glew.h>
#include <GLFW/glfw3.h>

#include "../../../engine/KeyManager.h"
#include "../../../engine/MouseManager.h"
#include "../../../engine/Shader.h"
#include "../../../engine/DirectRenderer.h"

class GUI
{
public:
    GUI();
    virtual ~GUI();
    
    virtual GUI* tick(KeyManager& keyManager, MouseManager& mouseManager);
    virtual void render2DTick(Shader& shader, DirectRenderer& dr, float lag);
private:

};

#endif

